Zum Inhalt springen
Bpanda
Esc
↑↓navigieren↵öffnen⌘Jvorschau

Remove reports from the report settings.

Remove reports from the report settings. Remove a list of architecture reports from the report settings of a warehouse

Security: Manager of the process space.

DELETE/v1/warehouses/{warehouseId}/preferences/architecture/reports
Autorisierung
AuthorizationBearer-Token (JWT) · headererforderlich
BpmLicenseAPI-Schlüssel · headererforderlich
Pfadparameter
warehouseIdstringerforderlich

ID of warehouse

Request-Body
erforderlichapplication/json

Array of report keys

Array von ArchitectureReportType
string
Antworten
200

The report settings that remain

Array von ArchitectureReportSetting
activatedActionStamperforderlich
Eigenschaften anzeigen
instantstring<date-time>erforderlich
userIdstringerforderlich
reportKeyArchitectureReportTypeerforderlich
Erlaubt:ArchitectureElementsWithInvalidRelationshipsArchitectureElementsWithoutRelationsArchitectureElementsWithoutResponsiblesBusinessContinuityManagementDigitalizationProgressInvalidArchitectureElementsInventoryControlMaturityLevelOverviewCMMIMaturityLevelOverviewSimpleProcessesWithoutApplicationAndTechnologySupportRecentArchitectureElementsScoringAIPotentialScoringDigitalizationPotentialSensitiveDataProcessing
requiredFeaturesstring[]erforderlich
400

Unknown report type

string
403

Forbidden: insufficient permissions

string
Ausprobieren
Server
Autorisierung
Parameter
Bodyapplication/json
Anfrage
curl -X DELETE 'https://goto.bpanda.com/api/v1/warehouses/string/preferences/architecture/reports' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'BpmLicense: YOUR_API_KEY' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '[
  "ArchitectureElementsWithInvalidRelationships"
]'
Antwort
[
  {
    "activated": {
      "instant": "2019-08-24T14:15:22Z",
      "userId": "string"
    },
    "reportKey": "ArchitectureElementsWithInvalidRelationships",
    "requiredFeatures": [
      "string"
    ]
  }
]